## pyatspi 2.57.0

=== meson_options.txt ===
option('enable_tests',
       description: 'Enable unit tests',
       type: 'boolean',
       value: false)

## pyatspi 2.0.0

=== debian/changelog ===
pyatspi (2.0.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Removed some unused files.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 06 Apr 2011 13:36:16 +1000

pyatspi (1.91.92-0ubuntu1) natty; urgency=low

  * New upstream release
    - Added some missing __str__ functions for events and accessibles.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 24 Mar 2011 15:43:49 +1100

pyatspi (1.91.91-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fix for BGO#643384: registerKeystrokeListener should pass a bit mask,
      not an enum.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 10 Mar 2011 11:43:04 +1100

pyatspi (1.91.90-0ubuntu1) natty; urgency=low

  * New upstream release
    - Refactor EditableText so that text methods can be called from it.
    - Make state accessible through pyatspi.constants.
    - Fix selection interface.
    - Fix for BGO#641869: Remove --enable-relocate option.
  * debian/rules: Remove override for dh_configure, --enable-relocate has been
    removed
  * debian/control: Bring back conflicts/replaces from Debian packaging

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 22 Feb 2011 18:31:49 +1100

pyatspi (1.91.6-0ubuntu1) natty; urgency=low

  * New upstream release
    - Added source_name and source_role to events.
    - Call gconftool-2 to check the value of
      /desktop/gnome/interface/at-spi-corba rather than importing gconf, since
      the latter can cause problems if new and old versions of the Python
      bindings are mixed.
    - Added setExtents, setSize, and setPosition for components.
    - Added setCacheMask.
  * debian/control: Build depend on python-gobject-dev >= 2.26.0, and also
    set the same version requirement for the python-gobject runtime dependency

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 01 Feb 2011 13:59:22 +1100

pyatspi (1.91.5-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixed generateKeyboardEvent, description, and allModifiers.
    - Added a dummy stateset.unref function for backwards compatibility.
    - Added a pumpQueuedEvents stub.
    - Added RELATION_EMBEDDED_BY.
    - Hide children attribute since it is currently broken and caused a crash
      with Accerciser.
    - Wrap event type so that sub-fields can be accessed.
    - Added a dummy freeMatchRule function.
    - Attribute fixes.
    - __getitem__ now supports negative indices.
    - Fixed some properties, relationToString, listInterfaces, various text
      methods.
    - Raise notImplementedError when querying unimplemented interfaces.
    - This is a major refactor using the C-based libatspi as a core.  This should
      significantly improve performance.  However, this release is very buggy and
      is more of a development snapshot than a usable release.
  * Add pkg-config to build-depends
  * python-pyatspi2 should depend on python-gobject and gir1.2-atspi-2.0

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 11 Jan 2011 22:58:57 -0600

pyatspi (1.91.1-0ubuntu3) natty; urgency=low

  * debian/control: Remove conflicts/replaces for python-pyatspi, as we
    relocate now, so both v1 and v2 bindings can co-exist

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 16 Nov 2010 15:27:29 +1100

pyatspi (1.91.1-0ubuntu2) natty; urgency=low

  * debian/rules: Enable relocate to co-exist with the bonobo at-spi stack

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 16 Nov 2010 09:25:57 +1100

pyatspi (1.91.1-0ubuntu1) natty; urgency=low

  * Initial Ubuntu packaging, based on Debian (LP: #662455)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 19 Oct 2010 12:07:49 +1100

pyatspi (2.0.0-1) UNRELEASED; urgency=low

  [ Samuel Thibault ]
  * Initial Debian package. (Closes: Bug#584971)

  [ Luke Yelavich ]
  * New upstream releases.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jan 2011 20:27:20 +0100

=== debian/control ===
Source: pyatspi
Section: python
Priority: optional
Maintainer: Luke Yelavich <themuso@ubuntu.com> <themuso@ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pyatspi.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/pyatspi.git
Homepage: http://live.gnome.org/Accessibility/GNOME3
Build-Depends: debhelper (>= 7),
               python-dbus,
               pkg-config,
               python-gobject-dev (>= 2.26.0)
Standards-Version: 3.9.1

Package: python-pyatspi2
Architecture: all
Conflicts: python-pyatspi
Replaces: python-pyatspi
Depends: ${misc:Depends},
         ${python:Depends},
         python-gobject (>= 2.26.0),
         gir1.2-atspi-2.0
Description: Assistive Technology Service Provider Interface - Python bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python bindings for the client side aspects of at-spi2.

## pyatspi 2.0.2+dfsg

=== debian/changelog ===
pyatspi (2.0.2+dfsg-1) experimental; urgency=low

  * Remove tests/* until upstream clarifies licensing.

 -- Mario Lang <mlang@debian.org>  Thu, 28 Jul 2011 14:26:42 +0200

pyatspi (2.0.2-1) experimental; urgency=low

  [ Samuel Thibault ]
  * Initial Debian package. (Closes: Bug#584971)

  [ Luke Yelavich ]
  * New upstream releases.
  * Make debian/copyright follow DEP5

 -- Mario Lang <mlang@debian.org>  Tue, 26 Jul 2011 10:02:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyatspi
 Section: python
 Priority: optional
-Maintainer: Luke Yelavich <themuso@ubuntu.com> <themuso@ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pyatspi.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/pyatspi.git
@@ -11,7 +10,7 @@
                python-dbus,
                pkg-config,
                python-gobject-dev (>= 2.26.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: python-pyatspi2
 Architecture: all

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// http://ftp.gnome.org/pub/GNOME/sources/pyatspi/([\d\.]+)\d/pyatspi-(.*)\.tar.bz2

## pyatspi 2.2.0

=== debian/changelog ===
pyatspi (2.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Updated translations

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 27 Sep 2011 13:12:28 +1000

pyatspi (2.1.91-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix for BGO#658343: Have configure check for pygobject-3.0
  * debian/control: Bumped version of pygobject required to 2.90.1

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 12 Sep 2011 15:19:21 +1000

pyatspi (2.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix getTextBeforeOffset.
    - Remove legacy pygtk dependency.
  * debian/patches/fix-syntax.patch: Dropped, applied upstream

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 02 Sep 2011 07:45:36 +1000

pyatspi (2.1.5-0ubuntu2) oneiric; urgency=low

  * Fix slight documentation/code syntax error in pyatspi/text.py, allows
    python-pyatspi2 to be installable again

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 16 Aug 2011 13:18:34 +1000

pyatspi (2.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Remove support for relocated pyatspi-corba.
    - Fix getTextBeforeOffset.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 16 Aug 2011 11:33:46 +1000

pyatspi (2.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Update to handle libatspi API changes.
    - Fix for BGO#653874 - new ATK roles.
  * debian/control: Python-pyatspi should depend on gir1.2-atspi-2.0 >= 2.1.4
    as per the above upstream changes

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 26 Jul 2011 10:28:03 +1000

pyatspi (2.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - BGO#644393: Remove document:content-changed from EVENT_TREE

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Jul 2011 09:55:14 +1000

pyatspi (2.1.2-0ubuntu2) oneiric; urgency=low

  * Transition to dh_python2

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 24 Jun 2011 09:30:39 +1000

pyatspi (2.1.2-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix traceback when creating match rules with attribute sets
    - Add atspiVersion().
    - Fix several table functions
    - Fix makeSyncType to generate a proper enum (will be needed when enum-types
      branch of at-spi2-core is merged).
    - Add clearCache().
    - Cache eventTypes in events for performance reasons.
    - Add GPL2 license because a couple of test files are licensed under it.
  * Set packaging branch, debian tag format and pristine-tar values in gbp.conf

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 14 Jun 2011 13:35:04 +1000

pyatspi (2.1.1-0ubuntu3) oneiric; urgency=low

  * debian/copyright: Fix up conflict that was accidentally left from
    work done for the previous upload

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 31 May 2011 08:36:46 +1000

pyatspi (2.1.1-0ubuntu2) oneiric; urgency=low

  * Remove unreleased changelog entry, it will be re-added when the package
    is in debian
  * debian/control: Remove duplicate email address from maintainer field
  * Updated debian/copyright, thanks to Didier Roche for the pointers
  * Make debian/copyright follow DEP5

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 30 May 2011 15:49:29 +1000

pyatspi (2.1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix traceback when calling document functions

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 10 May 2011 14:19:17 +0200

pyatspi (2.0.1-0ubuntu1) oneiric; urgency=low

  [ Luke Yelavich ]
  * New upstream release
    - Fix for BGO#645644: Throw LookupError rather than RUntimeError
    - Add id property
    - Add a work-around for getStates failing on 64-bit systems with pygobject
      2.28.3 and earlier.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.2 (no change needed)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 03 May 2011 13:08:20 +1000

=== debian/control ===
Source: pyatspi
Section: python
Priority: optional
Maintainer: Luke Yelavich <themuso@ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pyatspi.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/pyatspi.git
Homepage: http://live.gnome.org/Accessibility/GNOME3
Build-Depends: debhelper (>= 7),
               python (>= 2.6.6-3~),
               pkg-config,
               python-gobject-dev (>= 2.90.1)
X-Python-Version: >= 2.5
Standards-Version: 3.9.2

Package: python-pyatspi2
Architecture: all
Conflicts: python-pyatspi
Replaces: python-pyatspi
Depends: ${misc:Depends},
         ${python:Depends},
         python-gobject (>= 2.90.1),
         gir1.2-atspi-2.0 (>= 2.1.4)
Description: Assistive Technology Service Provider Interface - Python bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python bindings for the client side aspects of at-spi2.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/pyatspi/([\d\.]+)\d/pyatspi-(.*)\.tar.bz2

## pyatspi 2.2.1

=== debian/changelog ===
pyatspi (2.2.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #877841)
    - Use hasattr rather than a try in registerEventListener, for performance.
    - Fix for BGO#661613: getOffsetAtPoint now works.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 19 Oct 2011 12:17:05 +1100

## pyatspi 2.3.4+dfsg

=== debian/changelog ===
pyatspi (2.3.4+dfsg-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release.
  * Transition to dh_python2
  * debian/control: Python-pyatspi should depend on gir1.2-atspi-2.0 >= 2.1.4
    as per the above upstream changes
  * debian/control: Bumped version of pygobject required to 2.90.1

  [ Samuel Thibault ]
  * debian/copyright: Fix format.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Feb 2012 16:02:15 +0100

## pyatspi 2.3.92+dfsg

=== debian/changelog ===
pyatspi (2.3.92+dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Fix pattern.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Mar 2012 01:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyatspi
 Section: python
 Priority: optional
-Maintainer: Luke Yelavich <themuso@ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pyatspi.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/pyatspi.git
@@ -10,9 +9,10 @@
 Build-Depends: debhelper (>= 7),
                python (>= 2.6.6-3~),
                pkg-config,
-               python-gobject-dev (>= 2.90.1)
+               python-gobject-dev (>= 2.90.1),
+               dh-autoreconf
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: python-pyatspi2
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2,autoreconf

## pyatspi 2.4.0+dfsg

=== debian/changelog ===
pyatspi (2.4.0+dfsg-0ubuntu3) precise; urgency=low

  * Add install file to make sure the python module actually gets shipped.
    This was forgotten about with the adding of the transition package.
    (LP: #973229)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 05 Apr 2012 10:03:25 +1000

pyatspi (2.4.0+dfsg-0ubuntu2) precise; urgency=low

  * debian/control: Provide a python-pyatspi transitional package to really
    fix upgrades from lucid to precise. (LP: #966845)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 04 Apr 2012 16:59:34 +1000

pyatspi (2.4.0+dfsg-0ubuntu1) precise-proposed; urgency=low

  [ Mario Lang ]
  * Removing myself from uploaders.

  [ Luke Yelavich ]
  * New upstream release
    - Translation updates
  * debian/control: Add a provides: python-pyatspi to python-pyatspi2 to help
    with upgrades form lucid (LP: #966845)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 29 Mar 2012 11:17:20 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pyatspi
 Section: python
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
-Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pyatspi.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/pyatspi.git
 Homepage: http://live.gnome.org/Accessibility/GNOME3
@@ -16,8 +17,9 @@
 
 Package: python-pyatspi2
 Architecture: all
-Conflicts: python-pyatspi
-Replaces: python-pyatspi
+Conflicts: python-pyatspi (<< 2.4.0+dfsg-0ubuntu2)
+Replaces: python-pyatspi (<< 2.4.0+dfsg-0ubuntu2)
+Provides: python-pyatspi
 Depends: ${misc:Depends},
          ${python:Depends},
          python-gobject (>= 2.90.1),
@@ -26,3 +28,12 @@
  at-spi is the "Assistive Technology Service Provider Interface".
  .
  This package contains Python bindings for the client side aspects of at-spi2.
+
+Package: python-pyatspi
+Architecture: all
+Depends: ${misc:Depends}, python-pyatspi2 (= ${binary:Version})
+Description: Assistive Technology Service Provider Interface - transitional package
+ at-spi is the "Assistive Technology Service Provider Interface".
+ .
+ This package is a transitional package to help with the upgrade to the at-spi2
+ stack.

## pyatspi 2.5.3%2Bdfsg

=== debian/control ===
Source: pyatspi
Section: python
Priority: optional
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pyatspi.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/pyatspi.git
Homepage: http://live.gnome.org/Accessibility
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6.6-3~),
               python3,
               pkg-config,
               python-gi-dev (>= 2.90.1),
               dh-autoreconf
X-Python-Version: >= 2.5
Standards-Version: 3.9.3

Package: python-pyatspi
Architecture: all
Breaks: python-pyatspi2 (<< 2.5.3+dfsg-2.1)
Replaces: python-pyatspi2 (<< 2.5.3+dfsg-2.1)
Depends: ${misc:Depends},
         ${python:Depends},
         python-gi (>= 2.90.1),
         gir1.2-atspi-2.0 (>= 2.1.4),
         libatk-adaptor, libgail-common
Description: Assistive Technology Service Provider Interface - Python bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python bindings for the client side aspects of at-spi2.

Package: python-pyatspi2
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends},
         python-pyatspi (= ${source:Version})
Description: Transitional package for assistive technology Python bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This empty transitional package can be safely removed.

Package: python3-pyatspi
Architecture: all
Breaks: python3-pyatspi2 (<< 2.5.3+dfsg-2.1)
Replaces: python3-pyatspi2 (<< 2.5.3+dfsg-2.1)
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-gi (>= 2.90.1),
         gir1.2-atspi-2.0 (>= 2.1.4),
         libatk-adaptor, libgail-common
Description: Assistive Technology Service Provider Interface - Python3 bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python3 bindings for the client side aspects of at-spi2.

Package: python3-pyatspi2
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends},
         python3-pyatspi (= ${source:Version})
Description: Transitional package for assistive technology Python3 bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This empty transitional package can be safely removed.

## pyatspi 2.5.3+dfsg

=== debian/changelog ===
pyatspi (2.5.3+dfsg-3) unstable; urgency=low

  * Yay for WiFi in the plane, my first upload at 30,000ft!
  * Acknowledge NMU from Josselin, thanks!
  * Fix typo in Breaks/Replaces relation. Closes: Bug#693490.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Nov 2012 17:22:36 -0700

pyatspi (2.5.3+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload with Samuel’s approval.
  * Ensure smooth upgrades from squeeze. Closes: #691160.
    + Rename python*-pyatspi2 to python*-pyatspi since the API is 
      compatible with the former python-pyatspi package and the module 
      is named pyatspi.
    + Create transitional python*-pyatspi2 packages.

 -- Josselin Mouette <joss@debian.org>  Fri, 09 Nov 2012 10:01:50 +0100

pyatspi (2.5.3+dfsg-2) unstable; urgency=low

  * Make pyatspi depend on libgail-common. Closes: #682915.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 Aug 2012 13:50:11 +0200

pyatspi (2.5.3+dfsg-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Fix Homepage URL, thanks DUCK!

  [ Luke Yelavich ]
  * New upstream release.
  * Build a python3 package.
  * Bump debhelper build dependency to >= 7.0.50~ to fix a lintian warning.
  * python-gobject -> python-gi.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jun 2012 23:38:12 -0300

pyatspi (2.5.2+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Jun 2012 01:04:44 +0200

pyatspi (2.5.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2012 01:30:46 +0200

pyatspi (2.4.0+dfsg-1) unstable; urgency=low

  [ Mario Lang ]
  * Removing myself from uploaders.

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: python-pyatspi2 should provides: python-pyatspi

  [ Samuel Thibault ]
  * debian/control: Depend on atk-adaptor, to pull a11y on the application
    side.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Apr 2012 01:27:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Taken from the pygobject packaging.
PYDEFAULTVER := $(shell pyversions --default --version)
PYVERS := $(shell pyversions --requested --version debian/control)
PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure_flags += \
                --prefix=/usr \
                --build=$(DEB_BUILD_GNU_TYPE) \
                --disable-maintainer-mode

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
        configure_flags += --host=$(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@ --with python2,python3,autoreconf

override_dh_auto_configure:
	for pyver in $(PYVERS); do \
	    mkdir -p $(CURDIR)/build-$$pyver; \
	    cd $(CURDIR)/build-$$pyver && \
	       PYTHON=/usr/bin/python$$pyver ../configure $(configure_flags); \
	done

override_dh_auto_build:
	for pyver in $(PYVERS); do \
	    PYTHON=/usr/bin/python$$pyver make -C $(CURDIR)/build-$$pyver; \
	done

override_dh_auto_install:
	for pyver in $(PYVERS); do \
	    PYTHON=/usr/bin/python$$pyver make -C $(CURDIR)/build-$$pyver install DESTDIR=$(CURDIR)/debian/tmp; \
	done

override_dh_auto_clean:
	-for pyver in $(PYVERS); do \
	    rm -rf $(CURDIR)/build-$$pyver; \
	done
	dh_auto_clean

## pyatspi 2.6.0+dfsg

=== debian/changelog ===
pyatspi (2.6.0+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Install caret focus tracker into $bindir, rather than $pythondir/examples.
    - Fix incorrect FSF address in file headers.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 25 Sep 2012 09:46:06 +1000

pyatspi (2.5.92+dfsg-0ubuntu2) quantal; urgency=low

  * debian/patches/fix-print-usage: in examples/magFocusTracker.py: 
    use print('...') - it's supposed to be python3. (LP: #1052331)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 18 Sep 2012 08:43:17 +0200

pyatspi (2.5.92+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix for bug #683302 - Missing argument for set_current_value method
    - Include interim focus tracker as an example.
  * debian/patches/disable-tests: Refreshed

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Sep 2012 14:31:26 +1000

pyatspi (2.5.91+dfsg-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release (LP: #1046585)
    - Fix autogen.sh for non-sourcedir build.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 06 Sep 2012 09:15:08 +1000

pyatspi (2.5.5+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add getLocalizedName for actions.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 07 Aug 2012 12:07:54 +1000

pyatspi (2.5.4+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Wrap all interfaces (BGO#679044).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Jul 2012 09:48:00 +1000

=== debian/control ===
Source: pyatspi
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pyatspi.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/pyatspi.git
Homepage: http://live.gnome.org/Accessibility
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6.6-3~),
               python3,
               pkg-config,
               python-gi-dev (>= 2.90.1),
               dh-autoreconf
X-Python-Version: >= 2.5
Standards-Version: 3.9.3

Package: python-pyatspi2
Architecture: all
Conflicts: python-pyatspi
Replaces: python-pyatspi
Provides: python-pyatspi
Depends: ${misc:Depends},
         ${python:Depends},
         python-gi (>= 2.90.1),
         gir1.2-atspi-2.0 (>= 2.1.4),
         libatk-adaptor
Description: Assistive Technology Service Provider Interface - Python bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python bindings for the client side aspects of at-spi2.

Package: python3-pyatspi2
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-gi (>= 2.90.1),
         gir1.2-atspi-2.0 (>= 2.1.4),
         libatk-adaptor
Description: Assistive Technology Service Provider Interface - Python3 bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python3 bindings for the client side aspects of at-spi2.

## pyatspi 2.7.2+dfsg

=== debian/changelog ===
pyatspi (2.7.2+dfsg-2ubuntu1) raring; urgency=low

  * debian/control: updated transition version (lp: #1119426)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 Feb 2013 18:08:46 +0100

pyatspi (2.7.2+dfsg-2) experimental; urgency=low

  * Backport "smooth upgrades from squeeze" fixes. Closes: Bug#699709.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 07 Feb 2013 01:50:11 +0100

pyatspi (2.7.2+dfsg-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Dec 2012 04:07:59 +0100

pyatspi (2.7.1+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Oct 2012 22:35:52 +0200

pyatspi (2.6.0+dfsg-1) experimental; urgency=low

  * docs: Add README and NEWS files.
  * copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 18:55:44 +0200

## pyatspi 2.7.91+dfsg

=== debian/changelog ===
pyatspi (2.7.91+dfsg-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control: Adjust breaks/replaces version to 2.7.2+dfsg-2

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 07 Mar 2013 07:09:40 +1100

pyatspi (2.7.5+dfsg-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Feb 2013 23:04:21 +0100

=== debian/control ===
--- 
+++ 
@@ -16,29 +16,52 @@
 X-Python-Version: >= 2.5
 Standards-Version: 3.9.3
 
-Package: python-pyatspi2
+Package: python-pyatspi
 Architecture: all
-Conflicts: python-pyatspi
-Replaces: python-pyatspi
-Provides: python-pyatspi
+Breaks: python-pyatspi2 (<< 2.7.2+dfsg-2)
+Replaces: python-pyatspi2 (<< 2.7.2+dfsg-2)
 Depends: ${misc:Depends},
          ${python:Depends},
          python-gi (>= 2.90.1),
          gir1.2-atspi-2.0 (>= 2.1.4),
-         libatk-adaptor
+         libatk-adaptor, libgail-common
 Description: Assistive Technology Service Provider Interface - Python bindings
  at-spi is the "Assistive Technology Service Provider Interface".
  .
  This package contains Python bindings for the client side aspects of at-spi2.
 
-Package: python3-pyatspi2
+Package: python-pyatspi2
+Section: oldlibs
+Priority: extra
 Architecture: all
+Depends: ${misc:Depends},
+         python-pyatspi (= ${source:Version})
+Description: Transitional package for assistive technology Python bindings
+ at-spi is the "Assistive Technology Service Provider Interface".
+ .
+ This empty transitional package can be safely removed.
+
+Package: python3-pyatspi
+Architecture: all
+Breaks: python3-pyatspi2 (<< 2.7.2+dfsg-2)
+Replaces: python3-pyatspi2 (<< 2.7.2+dfsg-2)
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-gi (>= 2.90.1),
          gir1.2-atspi-2.0 (>= 2.1.4),
-         libatk-adaptor
+         libatk-adaptor, libgail-common
 Description: Assistive Technology Service Provider Interface - Python3 bindings
  at-spi is the "Assistive Technology Service Provider Interface".
  .
  This package contains Python3 bindings for the client side aspects of at-spi2.
+
+Package: python3-pyatspi2
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: ${misc:Depends},
+         python3-pyatspi (= ${source:Version})
+Description: Transitional package for assistive technology Python3 bindings
+ at-spi is the "Assistive Technology Service Provider Interface".
+ .
+ This empty transitional package can be safely removed.

## pyatspi 2.9.92+dfsg

=== debian/changelog ===
pyatspi (2.9.92+dfsg-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Sep 2013 13:04:01 +1000

pyatspi (2.9.90+dfsg-0ubuntu1) saucy; urgency=low

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.4 (no changes).

  [ Luke Yelavich ]
  * New upstream release
  * Bump gir1.2-atspi-2.0 build dependency to >= 2.9.90

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 27 Aug 2013 11:32:05 +1000

pyatspi (2.9.3+dfsg-1) unstable; urgency=low

  [ Samuel Thibault ]
  * Use wildcards instead of hardcoding python versions. Closes: Bug#711953.

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2013 00:22:20 +0200

pyatspi (2.9.2+dfsg-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 May 2013 23:24:29 +0200

pyatspi (2.8.0+dfsg-2) unstable; urgency=low

  * Upload to unstable
  * Build-depend on python-all and python3-all instead of just python and
    python3. Closes: Bug#707312.
  * Add set -e to python building loops.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 May 2013 00:59:16 +0200

pyatspi (2.8.0+dfsg-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Mar 2013 22:49:39 +0100

pyatspi (2.7.91+dfsg-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Adjust breaks/replaces version to 2.7.2+dfsg-2

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Mar 2013 17:56:01 +0100

## pyatspi 2.10.0+dfsg

=== debian/changelog ===
pyatspi (2.10.0+dfsg-1) unstable; urgency=low

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.4 (no changes).

  [ Luke Yelavich ]
  * New upstream release
  * Bump gir1.2-atspi-2.0 build dependency to >= 2.9.90

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Sep 2013 23:45:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: pyatspi
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pyatspi.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/pyatspi.git
 Homepage: http://live.gnome.org/Accessibility
 Build-Depends: debhelper (>= 7.0.50~),
-               python (>= 2.6.6-3~),
-               python3,
+               python-all, python3-all,
                pkg-config,
                python-gi-dev (>= 2.90.1),
                dh-autoreconf
-X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
+X-Python-Version: >= 2.6
+Standards-Version: 3.9.4
 
 Package: python-pyatspi
 Architecture: all
@@ -23,7 +21,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          python-gi (>= 2.90.1),
-         gir1.2-atspi-2.0 (>= 2.1.4),
+         gir1.2-atspi-2.0 (>= 2.9.90),
          libatk-adaptor, libgail-common
 Description: Assistive Technology Service Provider Interface - Python bindings
  at-spi is the "Assistive Technology Service Provider Interface".

=== debian/rules ===
--- 
+++ 
@@ -21,19 +21,19 @@
 	dh $@ --with python2,python3,autoreconf
 
 override_dh_auto_configure:
-	for pyver in $(PYVERS); do \
+	set -e ; for pyver in $(PYVERS); do \
 	    mkdir -p $(CURDIR)/build-$$pyver; \
 	    cd $(CURDIR)/build-$$pyver && \
 	       PYTHON=/usr/bin/python$$pyver ../configure $(configure_flags); \
 	done
 
 override_dh_auto_build:
-	for pyver in $(PYVERS); do \
+	set -e ; for pyver in $(PYVERS); do \
 	    PYTHON=/usr/bin/python$$pyver make -C $(CURDIR)/build-$$pyver; \
 	done
 
 override_dh_auto_install:
-	for pyver in $(PYVERS); do \
+	set -e ; for pyver in $(PYVERS); do \
 	    PYTHON=/usr/bin/python$$pyver make -C $(CURDIR)/build-$$pyver install DESTDIR=$(CURDIR)/debian/tmp; \
 	done

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// http://ftp.gnome.org/pub/GNOME/sources/pyatspi/(\d.[0-9])/pyatspi-(.*)\.tar.xz

## pyatspi 2.12.0+dfsg

=== debian/changelog ===
pyatspi (2.12.0+dfsg-3) unstable; urgency=medium

  * New upstream release.
  * watch: Only track even versions.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Aug 2014 00:17:48 +0200

pyatspi (2.10.0+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes).
  * Depend on at-spi2-core and qt-at-spi. Closes: Bug#749523.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Aug 2014 19:41:42 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-gi-dev (>= 2.90.1),
                dh-autoreconf
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: python-pyatspi
 Architecture: all
@@ -22,7 +22,7 @@
          ${python:Depends},
          python-gi (>= 2.90.1),
          gir1.2-atspi-2.0 (>= 2.9.90),
-         libatk-adaptor, libgail-common
+         libatk-adaptor (>= 2.11.2), libgail-common, at-spi2-core, qt-at-spi
 Description: Assistive Technology Service Provider Interface - Python bindings
  at-spi is the "Assistive Technology Service Provider Interface".
  .
@@ -47,7 +47,7 @@
          ${python3:Depends},
          python3-gi (>= 2.90.1),
          gir1.2-atspi-2.0 (>= 2.1.4),
-         libatk-adaptor, libgail-common
+         libatk-adaptor (>= 2.11.2), libgail-common, at-spi2-core, qt-at-spi
 Description: Assistive Technology Service Provider Interface - Python3 bindings
  at-spi is the "Assistive Technology Service Provider Interface".
  .

## pyatspi 2.14.0+dfsg

=== debian/changelog ===
pyatspi (2.14.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Oct 2014 22:24:51 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-gi-dev (>= 2.90.1),
                dh-autoreconf
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: python-pyatspi
 Architecture: all

## pyatspi 2.16.0+dfsg

=== debian/changelog ===
pyatspi (2.16.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 May 2015 21:00:53 +0200

## pyatspi 2.18.0+dfsg

=== debian/changelog ===
pyatspi (2.18.0+dfsg-3) unstable; urgency=medium

  * control: Do not depend on qt-at-spi any more in python3-pyatspi too, now
  that libqtgui4 recommends it. Closes: Bug#801679.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Dec 2015 18:15:00 +0100

pyatspi (2.18.0+dfsg-2) unstable; urgency=medium

  * control: Do not depend on qt-at-spi any more, now that libqtgui4 recommends
  it. Closes: Bug#757152.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Nov 2015 18:00:10 +0100

pyatspi (2.18.0+dfsg-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Sep 2015 23:33:01 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
          ${python:Depends},
          python-gi (>= 2.90.1),
          gir1.2-atspi-2.0 (>= 2.9.90),
-         libatk-adaptor (>= 2.11.2), libgail-common, at-spi2-core, qt-at-spi
+         libatk-adaptor (>= 2.11.2), libgail-common, at-spi2-core
 Description: Assistive Technology Service Provider Interface - Python bindings
  at-spi is the "Assistive Technology Service Provider Interface".
  .
@@ -47,7 +47,7 @@
          ${python3:Depends},
          python3-gi (>= 2.90.1),
          gir1.2-atspi-2.0 (>= 2.1.4),
-         libatk-adaptor (>= 2.11.2), libgail-common, at-spi2-core, qt-at-spi
+         libatk-adaptor (>= 2.11.2), libgail-common, at-spi2-core
 Description: Assistive Technology Service Provider Interface - Python3 bindings
  at-spi is the "Assistive Technology Service Provider Interface".
  .

## pyatspi 2.20.2+dfsg

=== debian/changelog ===
pyatspi (2.20.2+dfsg-2) unstable; urgency=medium

  * control: Drop libgail-common dependency, now that gtk recommends it.
    Closes: Bug#822612.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Aug 2016 20:46:12 +0200

pyatspi (2.20.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump Standards-Version to 3.9.8 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 02:06:43 +0200

pyatspi (2.20.1+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.7 (no change).

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Apr 2016 01:37:42 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-gi-dev (>= 2.90.1),
                dh-autoreconf
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: python-pyatspi
 Architecture: all
@@ -22,7 +22,7 @@
          ${python:Depends},
          python-gi (>= 2.90.1),
          gir1.2-atspi-2.0 (>= 2.9.90),
-         libatk-adaptor (>= 2.11.2), libgail-common, at-spi2-core
+         libatk-adaptor (>= 2.11.2), at-spi2-core
 Description: Assistive Technology Service Provider Interface - Python bindings
  at-spi is the "Assistive Technology Service Provider Interface".
  .
@@ -47,7 +47,7 @@
          ${python3:Depends},
          python3-gi (>= 2.90.1),
          gir1.2-atspi-2.0 (>= 2.1.4),
-         libatk-adaptor (>= 2.11.2), libgail-common, at-spi2-core
+         libatk-adaptor (>= 2.11.2), at-spi2-core
 Description: Assistive Technology Service Provider Interface - Python3 bindings
  at-spi is the "Assistive Technology Service Provider Interface".
  .

## pyatspi 2.20.3+dfsg

=== debian/changelog ===
pyatspi (2.20.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Jan 2017 21:36:48 +0100

## pyatspi 2.24.0+dfsg

=== debian/changelog ===
pyatspi (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Aug 2017 23:17:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pyatspi
 Section: python
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pyatspi.git;a=summary
-Vcs-Git: git://git.debian.org/git/pkg-a11y/pyatspi.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/pyatspi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/pyatspi.git
 Homepage: http://live.gnome.org/Accessibility
 Build-Depends: debhelper (>= 7.0.50~),
                python-all, python3-all,

## pyatspi 2.26.0+dfsg

=== debian/changelog ===
pyatspi (2.26.0+dfsg-1) unstable; urgency=medium

  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.
  * control: Remove old python-pyatspi2 and python3-pyatspi2 transitional
    packages (Closes: Bug#878780).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 17:48:53 +0100

=== debian/control ===
Source: pyatspi
Section: python
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/pyatspi.git
Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/pyatspi.git
Homepage: http://live.gnome.org/Accessibility
Build-Depends: debhelper (>= 7.0.50~),
               python-all, python3-all,
               pkg-config,
               python-gi-dev (>= 2.90.1),
               dh-autoreconf
X-Python-Version: >= 2.6
Standards-Version: 4.1.1

Package: python-pyatspi
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-gi (>= 2.90.1),
         gir1.2-atspi-2.0 (>= 2.9.90),
         libatk-adaptor (>= 2.11.2), at-spi2-core
Description: Assistive Technology Service Provider Interface - Python bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python bindings for the client side aspects of at-spi2.

Package: python3-pyatspi
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-gi (>= 2.90.1),
         gir1.2-atspi-2.0 (>= 2.1.4),
         libatk-adaptor (>= 2.11.2), at-spi2-core
Description: Assistive Technology Service Provider Interface - Python3 bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python3 bindings for the client side aspects of at-spi2.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// http://ftp.gnome.org/pub/GNOME/sources/pyatspi/(\d.[0-9]*[02468])/pyatspi-(.*)\.tar.xz

## pyatspi 2.30.0+dfsg

=== debian/changelog ===
pyatspi (2.30.0+dfsg-3) unstable; urgency=medium

  * patches/git-lockmods: Support locking/unlocking modifiers.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Jan 2019 22:40:30 +0100

pyatspi (2.30.0+dfsg-2) unstable; urgency=medium

  * control: Drop python3 << 3.7 constraint, now fixed in #902989
    (closes: Bug#912647)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 Nov 2018 10:31:52 +0100

pyatspi (2.30.0+dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #902989).
  * control: Bump Standards-Version to 4.2.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Sep 2018 09:34:34 +0200

pyatspi (2.26.0+dfsg-3) unstable; urgency=medium

  * Bump gir1.2-atspi-2.0 dependency as actually needed.
  * Bump Standards-Version to 4.1.5 (no changes).
  * control: Set X-Python3-Version to << 3.7, to avoid incompatibility with
    Python 3.7's async keyword.
  * control: drop ancien python >= 2.6 needed version.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Aug 2018 23:19:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,18 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/pyatspi.git
 Homepage: http://live.gnome.org/Accessibility
 Build-Depends: debhelper (>= 7.0.50~),
-               python-all, python3-all,
+               dh-python, python-all, python3-all,
                pkg-config,
                python-gi-dev (>= 2.90.1),
                dh-autoreconf
-X-Python-Version: >= 2.6
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 
 Package: python-pyatspi
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
          python-gi (>= 2.90.1),
-         gir1.2-atspi-2.0 (>= 2.9.90),
+         gir1.2-atspi-2.0 (>= 2.26~),
          libatk-adaptor (>= 2.11.2), at-spi2-core
 Description: Assistive Technology Service Provider Interface - Python bindings
  at-spi is the "Assistive Technology Service Provider Interface".
@@ -31,7 +30,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-gi (>= 2.90.1),
-         gir1.2-atspi-2.0 (>= 2.1.4),
+         gir1.2-atspi-2.0 (>= 2.26~),
          libatk-adaptor (>= 2.11.2), at-spi2-core
 Description: Assistive Technology Service Provider Interface - Python3 bindings
  at-spi is the "Assistive Technology Service Provider Interface".

## pyatspi 2.32.1+dfsg

=== debian/changelog ===
pyatspi (2.32.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/git-lockmods: Merged.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jul 2019 20:11:05 +0200
